package com.lukouguoji.gnc.page.stash.details

import android.content.Intent
import androidx.lifecycle.MutableLiveData
import com.lukouguoji.module_base.base.BaseViewModel
import com.lukouguoji.module_base.bean.GncStashBean
import com.lukouguoji.module_base.common.Constant
import com.lukouguoji.module_base.http.net.NetApply
import com.lukouguoji.module_base.ktx.launchLoadingCollect

class GncPdaStashDetailsViewModel : BaseViewModel() {

    var id = ""

    // 详情信息
    val dataBean = MutableLiveData<GncStashBean>()

    ///////////////////////////////////////////////////////////////////////////
    // 方法区
    ///////////////////////////////////////////////////////////////////////////

    fun initOnCreated(intent: Intent) {
        id = intent.getStringExtra(Constant.Key.ID) ?: ""

        getData()
    }

    private fun getData() {
        launchLoadingCollect({
            NetApply.api.getGncStashDetails(id)
        }) {
            onSuccess = {
                dataBean.value = it.data ?: GncStashBean()
            }
        }
    }

}